com.jscape.inet.sftp.events

## Class SftpUploadEvent

- java.lang.Object
- - com.jscape.inet.sftp.events.SftpEvent
  - - com.jscape.inet.sftp.events.SftpTransferCompleteEvent
    - - com.jscape.inet.sftp.events.SftpUploadEvent

-     public class SftpUploadEvent
      extends SftpTransferCompleteEvent

  This event is fired when file is uploaded to the SSH server.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SftpUploadEvent(Sftp source, java.lang.String fileName, java.lang.String path, java.lang.String localPath, long fileSize, long uploadTime)` Creates a new event instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(SftpListener listener)` The "backwards dispatching" support.

    - ### Methods inherited from class com.jscape.inet.sftp.events.SftpTransferCompleteEvent

      `getFilename, getFilesize, getLocalPath, getPath, getTime`

    - ### Methods inherited from class com.jscape.inet.sftp.events.SftpEvent

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SftpUploadEvent

          public SftpUploadEvent(Sftp source,
                                 java.lang.String fileName,
                                 java.lang.String path,
                                 java.lang.String localPath,
                                 long fileSize,
                                 long uploadTime)

      Creates a new event instance.
      Parameters:
        `source` - the source of the event
        `fileName` - the file name
        `path` - the remote path the file was uploaded to
        `localPath` - the local file path
        `fileSize` - the file size in bytes
        `uploadTime` - total download time

  - ### Method Detail

    - #### accept

          public void accept(SftpListener listener)

      The "backwards dispatching" support.
      Specified by:
        `accept` in class `SftpEvent`
      Parameters:
        `listener` - the event listener

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved